/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/foundation/typeconv.hpp>

#include "scene.hpp"

namespace nostalgia::scene {

struct SceneDocToSceneConverter: public foundation::Converter<SceneDoc, Scene> {
	ox::Error convert(foundation::Context*, SceneDoc *src, Scene *dst) noexcept final;
};

}
